%define snap r7513
Summary: C++ user interface toolkit
Summary(ja): C++用の軽量GUIライブラリキット
Name: fltk2
Version: 2.0
Release: 1.%{snap}%{?_dist_release}
License: LGPLv2+ with exceptions	
Group: System Environment/Libraries
URL: http://www.fltk.org/
%if "%{?snap:1}" == "1"
Source0: http://ftp.easysw.com/pub/fltk/snapshots/fltk-2.0.x-%{snap}.tar.bz2
%else
Source0: http://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.bz2
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

## FIXME/TODO: upstream these asap -- Rex
# omit extraneous bits from fltk-config --cflags|--libs (http://bugzilla.redhat.com/199656)
Patch1: fltk-1.1.x-r5750-199656.patch 
Patch2: fltk-1.1.7-test.patch
# libfltk_gl.so had undefined symbols
Patch3: fltk-1.1.x-r5750-undefined.patch
# nuke --rpath (#238284)
Patch4: fltk-1.1.x-r5750-rpath.patch
Patch5: fltk-1.1.8-fluid_desktop.patch

BuildRequires: libICE-devel libSM-devel
BuildRequires: libXext-devel libXinerama-devel libXft-devel libXt-devel libX11-devel
BuildRequires: xorg-x11-proto-devel xorg-x11-utils
BuildRequires: libjpeg-devel
BuildRequires: zlib-devel
BuildRequires: libpng-devel
BuildRequires: libGL-devel libGLU-devel 
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils
BuildRequires: man

%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit.
It provides modern GUI functionality without the bloat, and supports
3D graphics via OpenGL and its built-in GLUT emulation.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libstdc++34-devel
Requires: libGL-devel libGLU-devel
Requires: libXft-devel libXext-devel
Requires: libX11-devel libSM-devel libICE-devel
%description devel
%{summary}.

%package fluid
Summary: Fast Light User Interface Designer
Group: Development/Tools
Requires: %{name}-devel = %{version}-%{release}
%description fluid
%{summary}, an interactive GUI designer for %{name}. 


%prep
%if "%{?snap:1}" == "1"
%setup -q -n fltk-2.0.x-%{snap}
%else
%setup -q 
%endif

#%patch1 -p1 -b .199656
#%patch2 -p1 -b .test
#%patch3 -p1 -b .undefined
#%patch4 -p1 -b .rpath
#%patch5 -p1 -b .fluid_desktop

cat > fluid2.desktop <<EOF
[Desktop Entry]
Name=FLUID2
Name[ja]=FLUID2インタフェースデザイナ
Comment=FLTK2 GUI Designer
Comment[ja]=FLTK2用GUIデザイナです
TryExec=fluid2
Exec=fluid2 %%F
Icon=fluid
Terminal=false
Type=Application
MimeType=application/x-fluid;
Categories=Development;GUIDesigner;
X-Desktop-File-Install-Version=0.16
EOF


%build
# using --with-optim, so unset CFLAGS/CXXFLAGS
export CFLAGS=" "
export CXXFLAGS=" "
%configure \
	--with-optim="%{optflags}" \
	--with-x \
	--enable-shared \
	;

#--enable-largefile \
#--enable-threads \
#--enable-xdbe \
#--enable-xinerama \
#--enable-xft

%{__make} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 
# make install install-desktop DESTDIR=$RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 

# desktop-file
desktop-file-install --vendor "" --dir ${RPM_BUILD_ROOT}%{_datadir}/applications fluid2.desktop

# docs
cat documentation/fltk2-config.man | gzip -c > $RPM_BUILD_ROOT/%{_mandir}/man1/fltk2-config.1.gz
cat documentation/fltk.man | gzip -c > $RPM_BUILD_ROOT/%{_mandir}/man3/fltk2.3.gz
cat documentation/fluid.man | gzip -c > $RPM_BUILD_ROOT/%{_mandir}/man3/fluid2.3.gz

# unpackaged files
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*.a


%check
make test ||:


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post fluid
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%postun fluid
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING CREDITS README README.unix README_fltk1_to_fltk2.txt TODO
%{_libdir}/libfltk2.so.*
%{_libdir}/libfltk2_gl.so.*
%{_libdir}/libfltk2_glut.so.*
%{_libdir}/libfltk2_images.so.*

%files devel
%defattr(-,root,root,-)
%doc documentation/*
%{_bindir}/fltk2-config
%{_includedir}/fltk
%{_libdir}/libfltk2.so
%{_libdir}/libfltk2_gl.so
%{_libdir}/libfltk2_glut.so
%{_libdir}/libfltk2_images.so
%{_mandir}/man1/fltk2-config.1*
%{_mandir}/man3/fltk2.3*

%files fluid
%defattr(-,root,root,-)
%{_bindir}/fluid2
%{_datadir}/applications/fluid2.desktop
%{_mandir}/man3/fluid2.3*


%changelog
* Sat May 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.0-1.r7513
- new fltk2 package based on fltk
- updated fltk to fltk-2.0.x-r7513

* Fri May 07 2010 Shu KONNO <owa@bg.wakwak.com> - 1.1.10-1
- updated fltk to 1.1.10
- added japanese summary

* Thu Feb 19 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.1.9-1
- initial build for Vine Linux

* Wed Oct 01 2008 Rex Dieter <rdieter@fedoraproject.org> 1.1.9-1
- fltk-1.1.9

* Sat Mar 29 2008 Rex Dieter <rdieter@fedoraproject.org> 1.1.8-1
- fltk-1.1.8 (final)

* Tue Feb 29 2008 Rex Dieter <rdieter@fedoraproject.org> 1.1.8-0.8.r6027
- fltk-1.1.x-r6027

* Mon Feb 11 2008 Rex Dieter <rdieter@fedoraproject.org> 1.1.8-0.7.r5989 
- respin (gcc43)

* Wed Dec 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.6.r5989
- --enable-largefile
- fltk-1.1.x-r5989 snapshot (1.1.8 pre-release)

* Mon Aug 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.5.r5750
- License: LGPLv2+ with exceptions

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.4.r5750
- License: LGPLv2+ (with exceptions)

* Sun Apr 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.3.r5750
- *really* fix --rpath issue, using non-empty patch this time (#238284)

* Sun Apr 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.2.r5750
- nuke --rpath (#238284)

* Thu Apr 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.1.r5750
- fltk-1.1.x-r5750 snapshot (1.1.8 pre-release)
- --enable-xinerama
- patch for undefined symbols in libfltk_gl

* Wed Apr  4 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.7-9.r5555
- Always apply fltk-config patch (#199656)
- Update fltk-1.1.7-config.patch

* Wed Dec 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1.7-8.r5555
- more 64bit hackage to workaround broken Makefile logic (#219348)

* Wed Dec 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1.7-7.r5555
- fltk-1.1.x-r5555 snapshot, for 64bit issues (#219348)
- restore static libs (they're tightly coupled with fltk-config)
- cleanup %%description's

* Mon Dec 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1.7-6
- move tests to %%check section

* Mon Dec 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1.7-5
- use included icon/.desktop files
- fix up fltk-config (#199656)

* Mon Dec 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.1.7-3
- follow icon spec
- omit static libs

* Wed Sep 06 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.1.7-2
- rebuild for FC6

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.7-1
- Upstream update

* Thu Nov 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-4
- Fixed BR and -devel Requires for modular X

* Sun Nov 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-3
- Update BuildRequires as well

* Sun Nov 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-2
- Update Requires for -devel

* Thu Oct 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-1
- Upstream update

* Thu Aug 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.4-10
- Fixed BR/Requires for x86_64

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.8
- Hopefully fixed Xft flags for rh80

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.7
- Fixed typo

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.6
- Added xft.pc build dependency
- Added BuildReq:man

* Sun Nov  9 2003 Ville Skyttä <ville.skytta@iki.fi> 0:1.1.4-0.fdr.4
- Spec file cleanup
- Enabled xft and threads

* Tue Oct 28 2003 Dams <anvil[AT]livna.org> - 0:1.1.4-0.fdr.3
- Added missing symlink in includedir

* Wed Oct  1 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.2
- Removed comment after scriptlets

* Wed Oct  1 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.1
- Updated to final 1.1.4

* Wed Sep 24 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.0.4.rc1
- Fixed documentation path in configure

* Fri Aug 29 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.0.3.rc1
- Fixed typo in desktop entry
- Added missing BuildRequires ImageMagick and desktop-file-utils

* Fri Aug 29 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.0.2.rc1
- Moved fluid to its own package
- Added missing Requires for devel package

* Sat Aug 16 2003 Dams <anvil[AT]livna.org>
- Initial build.
